Bug 1309922 - kernel stack trace
kernel stack trace
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 19:27 EST by Jean-Luc Duprat
Modified: 2016-12-20 13:49 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:49:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Luc Duprat 2016-02-18 19:27:44 EST
Booting kernel 4.3.5-300.fc23.i686+PAE on my machine logs the following error in the journal:

WARNING: CPU: 0 PID: 56 at drivers/gpu/drm/drm_atomic.c:491 drm_atomic_check_only+0x4bf/0x5a0 [drm]()
Modules linked in: i915 i2c_algo_bit drm_kms_helper e1000e drm ata_generic serio_raw pata_acpi ptp pps_core video fjes asix usbnet mii
CPU: 0 PID: 56 Comm: kworker/u4:1 Not tainted 4.3.5-300.fc23.i686+PAE #1
Hardware name: MSI MS-9A25/MS-9852, BIOS V1.0b0  10/21/2009
Workqueue: events_unbound async_run_entry_fn
 c0db2967 cb2a7038 00000000 f48bbb80 c07326e0 00000000 f48bbbb0 c046f567
 c0cc2484 00000000 00000038 f8248b98 000001eb f823a1ef f823a1ef f492f800
 f4a90278 00000000 f48bbbc0 c046f672 00000009 00000000 f48bbc0c f823a1ef
Call Trace:
 [<c07326e0>] dump_stack+0x41/0x61
 [<c046f567>] warn_slowpath_common+0x87/0xc0
 [<f823a1ef>] ? drm_atomic_check_only+0x4bf/0x5a0 [drm]
 [<f823a1ef>] ? drm_atomic_check_only+0x4bf/0x5a0 [drm]
 [<c046f672>] warn_slowpath_null+0x22/0x30
 [<f823a1ef>] drm_atomic_check_only+0x4bf/0x5a0 [drm]
 [<f82394d9>] ? drm_atomic_set_crtc_for_plane+0x69/0x100 [drm]
 [<f823a3b8>] ? drm_atomic_set_fb_for_plane+0x28/0xa0 [drm]
 [<f823a2e6>] drm_atomic_commit+0x16/0x60 [drm]
 [<f851b697>] intel_get_load_detect_pipe+0x417/0x5f0 [i915]
 [<f8553506>] intel_tv_detect+0x106/0x660 [i915]
 [<f8227fd9>] ? drm_mode_object_get_reg+0x69/0x80 [drm]
 [<f8304beb>] drm_helper_probe_single_connector_modes_merge_bits+0x20b/0x480 [drm_kms_helper]
 [<f8304e77>] drm_helper_probe_single_connector_modes+0x17/0x20 [drm_kms_helper]
 [<f8310092>] drm_fb_helper_initial_config+0x72/0x3e0 [drm_kms_helper]
 [<c04a7b19>] ? pick_next_task_fair+0x429/0x4e0
 [<f852c199>] intel_fbdev_initial_config+0x19/0x20 [i915]
 [<c048d7fe>] async_run_entry_fn+0x4e/0x170
 [<c0485b75>] process_one_work+0x145/0x380
 [<c0485de9>] worker_thread+0x39/0x430
 [<c0485db0>] ? process_one_work+0x380/0x380
 [<c048b126>] kthread+0xa6/0xc0
 [<c0afca01>] ret_from_kernel_thread+0x21/0x30
 [<c048b080>] ? kthread_worker_fn+0x130/0x130


and this one for CPU 1:
WARNING: CPU: 1 PID: 284 at drivers/gpu/drm/drm_atomic.c:491 drm_atomic_check_only+0x4bf/0x5a0 [drm]()
Modules linked in: i915 i2c_algo_bit drm_kms_helper e1000e drm ata_generic serio_raw pata_acpi ptp pps_core video fjes asix usbnet mii
CPU: 1 PID: 284 Comm: plymouthd Tainted: G        W       4.3.5-300.fc23.i686+PAE #1
Hardware name: MSI MS-9A25/MS-9852, BIOS V1.0b0  10/21/2009
 c0db2967 0df440b4 00000000 f4b57ad0 c07326e0 00000000 f4b57b00 c046f567
 c0cc2484 00000001 0000011c f8248b98 000001eb f823a1ef f823a1ef f492f800
 f4aaac90 00000000 f4b57b10 c046f672 00000009 00000000 f4b57b5c f823a1ef
Call Trace:
 [<c07326e0>] dump_stack+0x41/0x61
 [<c046f567>] warn_slowpath_common+0x87/0xc0
 [<f823a1ef>] ? drm_atomic_check_only+0x4bf/0x5a0 [drm]
 [<f823a1ef>] ? drm_atomic_check_only+0x4bf/0x5a0 [drm]
 [<c046f672>] warn_slowpath_null+0x22/0x30
 [<f823a1ef>] drm_atomic_check_only+0x4bf/0x5a0 [drm]
 [<f82394d9>] ? drm_atomic_set_crtc_for_plane+0x69/0x100 [drm]
 [<f823a3b8>] ? drm_atomic_set_fb_for_plane+0x28/0xa0 [drm]
 [<f823a2e6>] drm_atomic_commit+0x16/0x60 [drm]
 [<f851b697>] intel_get_load_detect_pipe+0x417/0x5f0 [i915]
 [<f8553506>] intel_tv_detect+0x106/0x660 [i915]
 [<c049c707>] ? __update_cpu_load+0xc7/0x100
 [<f8304beb>] drm_helper_probe_single_connector_modes_merge_bits+0x20b/0x480 [drm_kms_helper]
 [<c0afa290>] ? mutex_lock+0x10/0x30
 [<f8304e77>] drm_helper_probe_single_connector_modes+0x17/0x20 [drm_kms_helper]
 [<f822d89d>] drm_mode_getconnector+0x28d/0x320 [drm]
 [<f822d610>] ? drm_mode_getcrtc+0x140/0x140 [drm]
 [<f821f103>] drm_ioctl+0x123/0x4d0 [drm]
 [<f822d610>] ? drm_mode_getcrtc+0x140/0x140 [drm]
 [<c05064a7>] ? audit_match_class+0x37/0x50
 [<f821efe0>] ? drm_getmap+0xc0/0xc0 [drm]
 [<c05da862>] do_vfs_ioctl+0x2e2/0x500
 [<c04032a7>] ? syscall_trace_enter_phase1+0x107/0x130
 [<c04c64a7>] ? kmsg_dump_get_line_nolock+0xc7/0x120
 [<c06c7904>] ? selinux_file_ioctl+0x54/0x100
 [<c06bbf6c>] ? security_file_ioctl+0x3c/0x60
 [<c05daae8>] SyS_ioctl+0x68/0x80
 [<c04c64a7>] ? kmsg_dump_get_line_nolock+0xc7/0x120
 [<c04c64a7>] ? kmsg_dump_get_line_nolock+0xc7/0x120
 [<c0afcb61>] syscall_call+0x7/0x7
 [<c04c64a7>] ? kmsg_dump_get_line_nolock+0xc7/0x120
 [<c04c64a7>] ? kmsg_dump_get_line_nolock+0xc7/0x120
Comment 1 Jean-Luc Duprat 2016-02-18 19:28:30 EST
Let me know if I can help diagnose this further.
Comment 2 Fedora End Of Life 2016-11-24 10:38:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 13:49:55 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.